extends KinematicBody2D

const MOTION_SPEED = 160 # Pixels/seconds

func _fixed_process(delta):
	
	var motion = Vector2()
	
	if (Input.is_action_pressed("ui_up")):
		motion += Vector2(0, -1)
	if (Input.is_action_pressed("ui_down")):
		motion += Vector2(0, 1)
	if (Input.is_action_pressed("ui_left")):
		motion += Vector2(-1, 0)
	if (Input.is_action_pressed("ui_right")):
		motion += Vector2(1, 0)
	
	motion = motion.normalized() * MOTION_SPEED * delta
	motion = move(motion)
	
	if(is_colliding()):
		set_rotd(0)
		get_node("AnimatedSprite").stop()
		pass
	else:
		set_rotd(90)
		get_node("AnimatedSprite").play("worm_default_animation")
		pass

func _ready():
	set_fixed_process(true)
	pass

func _on_VisibilityNotifier2D_exit_screen():
	pass
